package com.diagbot.repository;

import com.diagbot.entity.node.EntityInfo;
import com.diagbot.entity.node.FoodAllergen;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/12/16 13:19
 */
public interface FoodAllergenRepository extends Neo4jRepository<FoodAllergen,Long> {
    @Query("create (n:食物过敏原) \n" +
            "set  " +
            "n.name = :#{#entityInfo.name}," +
            "n.拼音编码 = :#{#entityInfo.pycode}," +
            "n.静态知识标识 = :#{#entityInfo.is_kl}," +
            "n.状态 = :#{#entityInfo.status}" +
            "\n" +
            "RETURN n,[ (n)-[r]->(m) | [ r, m ] ], ID(n)\n")
    FoodAllergen create(@Param("entityInfo") EntityInfo entityInfo);
}
